function preIDA_MRF4Story( anlsdir, filesdir )
% preIDA_MRF4Story( anlsdir, filesdir )
% Copies all files needed to run IDA analysis to the path
% ...\RunIDA\bundle_runIDA\osees. The source files are located in 
% ...\OpenseesModel folders. Also copies the Opensees.exe 
% -------------------------------------------------------------------------
% INPUT
% anlsdir  = directory where the files for IDA analysis will be stored
% filesdir = directory where the model files are stored
% -------------------------------------------------------------------------
% OUTPUT
% none but the files are copied inside the anlsdir
% _________________________________________________________________________
% Created 08/07/2019 by A. Chatzidaki & D. Vamvatsikos

% get the parent folder of  anlsdir and filesdir
[Parentanlsdir] = fileparts(anlsdir);
[Parentfilesdir] = fileparts(filesdir);


% Find the files of the Parentfilesdir/Model(=filesdir) and copy them to
% anlsdir
% create anlsdir if it doesn't exist 
if ~exist(anlsdir, 'dir'); mkdir(anlsdir);  end
files = dir(fullfile(filesdir, '*.tcl'));
for mm=1:length({files.name})
    copyfile(fullfile(filesdir,files(mm).name),fullfile(anlsdir,files(mm).name))
    display(['copied ',files(mm).name,' file'])
end

% Do the same for the files of the Parentfilesdir/RCsect
% create [Parentanlsdir,'/RCsect'] if it doesn't exist 
%if ~exist([Parentanlsdir,'/RCsect'], 'dir'); mkdir([Parentanlsdir,'/RCsect']);  end
%files = dir(fullfile([Parentfilesdir,'/RCsect'], '*.tcl'));
%for mm=1:length({files.name})
%    copyfile(fullfile([Parentfilesdir,'/RCsect'],files(mm).name),fullfile([Parentanlsdir,'/RCsect'],files(mm).name))
%    display(['copied ',files(mm).name,' file'])
%end


% Do the same for the files of the Parentfilesdir/util
% create [Parentanlsdir,'/util'] if it doesn't exist 
if ~exist([Parentanlsdir,'/util'], 'dir'); mkdir([Parentanlsdir,'/util']);  end
files = dir(fullfile([Parentfilesdir,'/util'], '*.tcl'));
for mm=1:length({files.name})
    copyfile(fullfile([Parentfilesdir,'/util'],files(mm).name),fullfile([Parentanlsdir,'/util'],files(mm).name))
    display(['copied ',files(mm).name,' file'])
end

% Copy-paste the Opensees.exe file in the Parentanlsdir
copyfile(fullfile(filesdir,'Opensees.exe'),fullfile(Parentanlsdir))
display('copied Opensees.exe file')

end

